0

I have set up Lizmap and QGIS Server on a Raspberry Pi 4 with Lizmap Web Client running on NGINX and QGIS Server on apache2 via NGINX reverse proxy. In the Lizmap Desktop Plugin GUI, I get "The specified configuration cannot be used" and

File "/home/moritz/.local/share/QGIS/QGIS3/profiles/default/python/plugins/lizmap/plugin.py", line 978, in lwc_version_changed
              LOGGER.debug("Saving new value about the LWC target version : {}".format(current_version.value))
             AttributeError: 'NoneType' object has no attribute 'value'

in the Python Log. Changing Lizmap from Lizmap from 3.7.0 to 3.6.5 did not help. What could I do for the Lizmap-version variable to be defined? The Layout (CSS?) of the Lizmap Web interface is also not loading with this setup, in case there could be a connection?

3
  • 1
    Your issue is difficult to follow. A Python error in the plugin is different than an error on your server. Before reporting issue about the plugin, try to make Lizmap Web Client properly installed, do not use QGIS desktop yet. Just focus on Lizmap Web Client administration interface to have everything working properly.
    – etrimaille
    Commented Jan 10 at 13:05
  • Ok, thanks. But as I have written, I got rid of that error by just reinstalling the Desktop plugin. Commented Jan 11 at 8:07
  • 1
    Reinstalling the plugin doesn't solve the issue. Maybe it was just because the plugin didn't fetch the metadata from the server the first time. Opening the plugin again, after a new launch from QGIS maybe, would have done the same.
    – etrimaille
    Commented Jan 11 at 8:36

1 Answer 1

1

I finally solved it by changing to Lizmap Web CLient Version 3.6.8. (3.6.5. did get rid of the original error after reinstalling the desktop plugin, but then showed the "not the recent version" error again.) Then reinstalled the plugin again, connect to the server, an error appears about Layer list (all options stay grayed out). Close the plugin, open again, all works fine. The Lizmap web interface did indeed not load the Layout because of the reverse proxy in NGINX. I just removed it, it is not actually necessary, as I access QGIS server and Lizmap WC (and therefore Apache2 and NGINX) on different ports.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.